Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1765)
+++ palm/trunk/SOURCE/header.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-!
+! netcdf module and variable names changed, output of netcdf_deflate
 !
 ! Former revisions:
@@ -249,4 +249,7 @@
         ONLY:  damp_level_ind_1d, dt_pr_1d, dt_run_control_1d, end_time_1d
         
+    USE netcdf_interface,                                                      &
+        ONLY:  netcdf_data_format, netcdf_data_format_string, netcdf_deflate
+
     USE particle_attributes,                                                   &
         ONLY:  bc_par_b, bc_par_lr, bc_par_ns, bc_par_t, collision_kernel,     &
@@ -1315,6 +1318,10 @@
 
        output_format = ''
-       output_format = output_format_netcdf
-       WRITE ( io, 344 )  output_format
+       output_format = netcdf_data_format_string
+       IF ( netcdf_deflate == 0 )  THEN
+          WRITE ( io, 344 )  output_format
+       ELSE
+          WRITE ( io, 354 )  TRIM( output_format ), netcdf_deflate
+       ENDIF
 
        DO  i = 1, dopr_n
@@ -1379,6 +1386,10 @@
 
           output_format = ''
-          output_format = output_format_netcdf
-          WRITE ( io, 344 )  output_format
+          output_format = netcdf_data_format_string
+          IF ( netcdf_deflate == 0 )  THEN
+             WRITE ( io, 344 )  output_format
+          ELSE
+             WRITE ( io, 354 )  TRIM( output_format ), netcdf_deflate
+          ENDIF
 
           IF ( do2d_xy /= ''  .AND.  section(1,1) /= -9999 )  THEN
@@ -1536,6 +1547,10 @@
           ENDIF
 
-          output_format = output_format_netcdf
-          WRITE ( io, 344 )  output_format
+          output_format = netcdf_data_format_string
+          IF ( netcdf_deflate == 0 )  THEN
+             WRITE ( io, 344 )  output_format
+          ELSE
+             WRITE ( io, 354 )  TRIM( output_format ), netcdf_deflate
+          ENDIF
 
           IF ( do3d_at_begin )  THEN
@@ -1595,10 +1610,14 @@
              ENDIF
 
-             output_format = output_format_netcdf
+             output_format = netcdf_data_format_string
 !--          Parallel output not implemented for mask data, hence
 !--          output_format must be adjusted.
              IF ( netcdf_data_format == 5 ) output_format = 'netCDF4/HDF5'
              IF ( netcdf_data_format == 6 ) output_format = 'netCDF4/HDF5 classic'
-             WRITE ( io, 344 )  output_format
+             IF ( netcdf_deflate == 0 )  THEN
+                WRITE ( io, 344 )  output_format
+             ELSE
+                WRITE ( io, 354 )  TRIM( output_format ), netcdf_deflate
+             ENDIF
 
              IF ( av == 0 )  THEN
@@ -1650,6 +1669,10 @@
        WRITE ( io, 340 )
 
-       output_format = output_format_netcdf
-       WRITE ( io, 344 )  output_format
+       output_format = netcdf_data_format_string
+       IF ( netcdf_deflate == 0 )  THEN
+          WRITE ( io, 344 )  output_format
+       ELSE
+          WRITE ( io, 354 )  TRIM( output_format ), netcdf_deflate
+       ENDIF
        WRITE ( io, 341 )  dt_dots
     ENDIF
@@ -1713,6 +1736,10 @@
        WRITE ( io, 370 )
 
-       output_format = output_format_netcdf
-       WRITE ( io, 344 )  output_format
+       output_format = netcdf_data_format_string
+       IF ( netcdf_deflate == 0 )  THEN
+          WRITE ( io, 344 )  output_format
+       ELSE
+          WRITE ( io, 354 )  TRIM( output_format ), netcdf_deflate
+       ENDIF
        WRITE ( io, 371 )  dt_dosp
        IF ( skip_time_dosp /= 0.0_wp )  WRITE ( io, 339 )  skip_time_dosp
@@ -1864,5 +1891,9 @@
              output_format = 'netcdf and binary'
           ENDIF
-          WRITE ( io, 344 )  output_format
+          IF ( netcdf_deflate == 0 )  THEN
+             WRITE ( io, 344 )  output_format
+          ELSE
+             WRITE ( io, 354 )  TRIM( output_format ), netcdf_deflate
+          ENDIF
        ENDIF
        IF ( dt_dopts /= 9999999.9_wp )  WRITE ( io, 494 )  dt_dopts
@@ -2176,4 +2207,5 @@
 352 FORMAT  (/'       Number of output time levels allowed: ',I3 /)
 353 FORMAT  (/'       Number of output time levels allowed: unlimited' /)
+354 FORMAT ('       Output format: ',A, '   compressed with level: ',I1/)
 #if defined( __dvrp_graphics )
 360 FORMAT ('    Plot-Sequence with dvrp-software:'/ &
